| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_qprc_int_sel Struct Reference
Quadrature Position/Revolution Counter (QPRC)

Enumeration to define QPRC interrupt selection. More...

`#include <qprc.h>`

## Data Fields
boolean_t | bQprcPcOfUfZeroInt
| Overflow, underflow, zero match interrupt of position counter, 1: selected, 0: not selected.
boolean_t | bQprcPcMatchInt
| PC match interrupt of position counter, 1: selected, 0: not selected.
boolean_t | bQprcPcRcMatchInt
| PC and RC match interrupt, 1: selected, 0: not selected.
boolean_t | bQprcPcMatchRcMatchInt
| PC match and RC match interrupt, 1: selected, 0: not selected.
boolean_t | bQprcPcCountInvertInt
| PC invert interrupt, 1: selected, 0: not selected.
boolean_t | bQprcRcOutrangeInt
| RC outrange interrupt, 1: selected, 0: not selected.

## Detailed Description

Enumeration to define QPRC interrupt selection.

Definition at line 293 of file qprc.h.

## Field Documentation

boolean_t bQprcPcCountInvertInt

PC invert interrupt, 1: selected, 0: not selected.

Definition at line 299 of file qprc.h.

Referenced by Qprc_DisableInt(), and Qprc_EnableInt().

boolean_t bQprcPcMatchInt

PC match interrupt of position counter, 1: selected, 0: not selected.

Definition at line 296 of file qprc.h.

Referenced by Qprc_DisableInt(), and Qprc_EnableInt().

boolean_t bQprcPcMatchRcMatchInt

PC match and RC match interrupt, 1: selected, 0: not selected.

Definition at line 298 of file qprc.h.

Referenced by Qprc_DisableInt(), and Qprc_EnableInt().

boolean_t bQprcPcOfUfZeroInt

Overflow, underflow, zero match interrupt of position counter, 1: selected, 0: not selected.

Definition at line 295 of file qprc.h.

Referenced by Qprc_DisableInt(), and Qprc_EnableInt().

boolean_t bQprcPcRcMatchInt

PC and RC match interrupt, 1: selected, 0: not selected.

Definition at line 297 of file qprc.h.

Referenced by Qprc_DisableInt(), and Qprc_EnableInt().

boolean_t bQprcRcOutrangeInt

RC outrange interrupt, 1: selected, 0: not selected.

Definition at line 300 of file qprc.h.

Referenced by Qprc_DisableInt(), and Qprc_EnableInt().

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/driver/qprc/qprc.h